## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# no tests in pypi tar and they haven't tagged any releases on GitHub so we
# can't use tars from there.

%global _description %{expand:
Lazy transposing and slicing of h5py Datasets and zarr arrays}

Name:           python-lazy-ops
Version:        0.2.0
Release:        %{autorelease}
Summary:        Lazy transposing and slicing of h5py and Zarr Datasets

License:        BSD
URL:            https://pypi.org/pypi/lazy_ops
Source0:        %{pypi_source lazy_ops}
# Not included in PyPi, issue filed
# https://github.com/catalystneuro/lazy_ops/issues/26
Source1:        https://github.com/catalystneuro/lazy_ops/raw/407504d1c4b1447e9527e7bddd771b6cc6f4810a/LICENSE

BuildArch:      noarch

%description %_description

%package -n python3-lazy-ops
Summary:        %{summary}
BuildRequires:  python3-devel
# Not listed in requirements
# PR for future releases:
# https://github.com/catalystneuro/lazy_ops/pull/27
BuildRequires:  %{py3_dist numpy}

%description -n python3-lazy-ops %_description

%prep
%autosetup -n lazy_ops-%{version}

cp %{SOURCE1} .

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lazy_ops

%check
%py3_check_import lazy_ops

%files -n python3-lazy-ops -f %{pyproject_files}
%doc README.md

%changelog
* Tue Oct 19 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.2.0-1
- feat: init
